#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n;
    scanf("%d",&n);
    int a[n];
    bool k=false;
    for(int i=0;i<n;i++)
    {
        scanf("%d",&a[i]);
    }
    pair<int,int> vrednosti;

    for(int i=0;i<n-1;i++)
    {
        vrednosti.first = a[i];
        for(int j=i+1;j<n;j++)
        {
            if(vrednosti.first<a[j])
            {
                vrednosti.first=a[j];
                vrednosti.second=j;
                /*int temp = a[i];
                a[i] = a[j];
                a[j] = temp;*/
                /*a[vrednosti.second]=a[0];
                a[0]=vrednosti.first;*/
                k=true;
                //break;
            }
        }
        if(k)
        {
            a[vrednosti.second]=a[i];
            a[i]=vrednosti.first;
            break;
        }
    }

    if(!k)
    {
        int temp = a[n-1];
        a[n-1]=a[n-2];
        a[n-2]=temp;
    }

    for(int i=0;i<n;i++)
    {
        printf("%d ",a[i]);
    }
}